{% extends "bases/auth_modal.html" %}

{% load i18n %}
{% load account socialaccount %}

{% block page_subtitle %}{% translate "Confirm E-mail Address" %}{% endblock %}

{% block breadcrumbs %}
{{ block.super }}
  <li class="breadcrumb-item">{% translate "Confirm E-mail Address" %}</li>
{% endblock %}

{% block inner_content %}
<h1>{% translate "Confirm E-mail Address" %}</h1>

{% if confirmation %}

{% user_display confirmation.email_address.user as user_display %}

<p>{% blocktranslate with confirmation.email_address.email as email %}Please confirm that <a href="mailto:{{email}}">{{ email }}</a> is an e-mail address for user {{ user_display }}.{% endblocktranslate %}</p>

<form method="post" action="{% url 'account_confirm_email' confirmation.key %}">
{% csrf_token %}
    <button class="btn btn-primary" type="submit">{% translate 'Confirm' %}</button>
</form>

{% else %}

{% url 'account_email' as email_url %}

<p>{% blocktranslate %}This e-mail confirmation link expired or is invalid. Please <a href="{{ email_url}}">issue a new e-mail confirmation request</a>.{% endblocktranslate %}</p>

{% endif %}

{% endblock %}
